Bug 781983 - Extend functionality to support LiveOS via nfs
Summary: Extend functionality to support LiveOS via nfs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: rawhide
Hardware: All
OS: Unspecified
high
high
Target Milestone: ---
Assignee: dracut-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 761530 799508
TreeView+ depends on / blocked
 
Reported: 2012-01-16 09:09 UTC by Martin Banas
Modified: 2013-03-12 14:23 UTC (History)
7 users (show)

Fixed In Version: dracut-017-40.git20120308.fc17
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-20 12:34:52 UTC
Type: ---


Attachments (Terms of Use)
patch proposal (918 bytes, text/plain)
2012-03-02 10:04 UTC, Jan Stodola
no flags Details

Description Martin Banas 2012-01-16 09:09:53 UTC
Description of problem:
Please extend functionality to support getting LiveOS image through nfs.
Now it support http, https and ftp.

Version-Release number of selected component (if applicable):
dracut-013-18.el7.noarch.rpm

Actual results:
Dracut doesn't support getting LiveOS image using nfs

Expected results:
Dracut will support getting LiveOS using nfs, http, https and ftp.

Additional info:
Here is the commit for http, https and ftp:
http://git.kernel.org/?p=boot/dracut/dracut.git;a=commit;h=6d2a79432b5573b257886c56f8c198fcb509493e

Comment 1 Kamil Páral 2012-02-20 12:52:55 UTC
Will this also go to F17?

Comment 2 Harald Hoyer 2012-02-20 13:01:22 UTC
It's also in

https://admin.fedoraproject.org/updates/dracut-016-9.git20120217.fc17

Comment 3 Fedora Update System 2012-02-20 13:02:47 UTC
dracut-016-9.git20120217.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dracut-016-9.git20120217.fc17

Comment 4 Martin Banas 2012-02-24 09:23:00 UTC
Hello Harald,

I was trying to get it working today. I made it work if I mounted rootfs.img (which is in squashfs.img) to LiveOS folder and exported this folder via nfs. Then I add this to cmdline: root=nfs:server:path.

What we need is to give dracut path to squashfs.img file, and dracut should handle it. I was trying to do this, but dracut refused to continue.

I'm thinking about something like:
root=live:nfs:server:path/squasfs.img.

Are you able to add this functionality?

Thank you,
Martin

Comment 5 Harald Hoyer 2012-02-24 10:37:23 UTC
might already work:

root=live:nfs://server:path/squasfs.img

Comment 6 Martin Banas 2012-02-24 10:56:44 UTC
It's not working with:
dracut-016-9.git20120217.el7.noarch.rpm

[   89.558344] dracut Warning: Unable to process initqueue
dracut Warning: Unable to process initqueue
[   89.558731] dracut Warning: dracut: FATAL: failed to download live image: error 1
dracut Warning: dracut: FATAL: failed to download live image: error 1
[   89.558922] dracut Warning: dracut: Refusing to continue
dracut Warning: dracut: Refusing to continue
[   89.559181] dracut Warning: /dev/root does not exist
dracut Warning: /dev/root does not exist



[   89.559648] dracut Warning: Signal caught!
dracut Warning: Signal caught!
[   89.559986] dracut Warning: dracut: FATAL: failed to download live image: error 1
dracut Warning: dracut: FATAL: failed to download live image: error 1
[   89.560179] dracut Warning: dracut: Refusing to continue
dracut Warning: dracut: Refusing to continue
[   89.560430] dracut Warning: /dev/root does not exist
dracut Warning: /dev/root does not exist

Comment 7 Harald Hoyer 2012-02-24 13:47:42 UTC
oh.. can you try with "rd.neednet=1 ip=dhcp" added?

Comment 8 Fedora Update System 2012-02-28 10:44:55 UTC
dracut-016-9.git20120217.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Jan Stodola 2012-03-01 15:40:16 UTC
Tried with "ip=dhcp rd.neednet=1" on the command line, but no success.

Kernel command line: root=live:nfs://server:/some/path/ppc64/os/LiveOS/squashfs.img ip=dhcp rd.neednet=1 lang=en_US.UTF-8 keymap=us ksdevice=ea:07:9e:21:59:04

...
[   77.668279] dracut Warning: Unable to process initqueue
dracut Warning: Unable to process initqueue
[   77.668682] dracut Warning: dracut: FATAL: failed to download live image: error 1
dracut Warning: dracut: FATAL: failed to download live image: error 1
[   77.668889] dracut Warning: dracut: Refusing to continue
dracut Warning: dracut: Refusing to continue
[   77.669154] dracut Warning: /dev/root does not exist
dracut Warning: /dev/root does not exist

dracut version: dracut-016-9.git20120217.el7

Comment 10 Jan Stodola 2012-03-02 10:04:47 UTC
Created attachment 567023 [details]
patch proposal

Proposing a patch to fix mounting an image via nfs.
Tested with dracut-016-9.git20120217.el7 + patch

cmdline: root=live:nfs://10.16.105.192:/srv/all/install.img

...
Ý   22.638272¨ dracut: fetching nfs://10.16.105.192:/srv/all/install.img
Ý   22.654862¨ FS-Cache: Loaded 
Ý   22.688988¨ FS-Cache: Netfs 'nfs' registered for caching 
Ý   23.185513¨ squashfs: version 4.0 (2009/01/31) Phillip Lougher 
Ý   23.237941¨ EXT4-fs (dm-0): mounted filesystem with ordered data mode. Opts: 
(null) 
Ý   23.247038¨ dracut: Mounted root filesystem /dev/mapper/live-rw 
//lib/dracut/hooks/pre-pivot/50mount-usr.sh: line 9: /sysroot/etc/fstab: No such
 file or directory 
rpcbind: rpcbind terminating on signal. Restart with "rpcbind -w"  
Ý   23.614361¨ dracut: Switching root
 
Starting the zSeries initrd to configure networking. Version is 1.2 
mount: proc already mounted 
Starting udev...
...

Comment 11 Fedora Update System 2012-03-02 13:57:26 UTC
dracut-017-22.git20120302.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dracut-017-22.git20120302.fc17

Comment 12 Fedora Update System 2012-03-08 13:03:23 UTC
dracut-017-39.git20120308.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dracut-017-39.git20120308.fc17

Comment 13 Fedora Update System 2012-03-08 13:56:53 UTC
dracut-017-40.git20120308.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dracut-017-40.git20120308.fc17

Comment 14 Fedora Update System 2012-03-08 13:57:08 UTC
dracut-017-40.git20120308.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dracut-017-40.git20120308.fc17

Comment 15 Fedora Update System 2012-03-13 18:34:23 UTC
dracut-017-40.git20120308.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.